From 3ea5c76b152097826e6200a9f56d42611ae3a665 Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Wed, 21 Nov 2012 14:30:45 -0500
Subject: [PATCH] Reorganized TPS templates and scripts.

The templates, JS, and CGI scripts for TPS have been moved
into the TPS core package. Removed unused cfg.pl.

Ticket #407
---
 .../tps/apache}/cgi-bin/demo/Enroll.html           |   0
 .../{forms/esc => apache}/cgi-bin/demo/enroll.cgi  |   0
 .../{forms/esc => apache}/cgi-bin/demo/index.cgi   |   0
 base/tps/{forms/esc => apache/cgi-bin}/esc.cgi     |   0
 base/tps/{forms/esc => apache/cgi-bin}/home.cgi    |   0
 .../tps/apache}/cgi-bin/home/Enroll.html           |   0
 .../{forms/esc => apache}/cgi-bin/home/cachain.cgi |   0
 .../{forms/esc => apache}/cgi-bin/home/enroll.cgi  |   0
 .../{forms/esc => apache}/cgi-bin/home/index.cgi   |   0
 .../tps/apache}/cgi-bin/so/Enroll.html             |   0
 .../{forms/esc => apache}/cgi-bin/so/enroll.cgi    |   0
 .../tps/{forms/esc => apache}/cgi-bin/so/index.cgi |   0
 .../esc => apache}/cgi-bin/sow/ajax-list.cgi       |   0
 .../shared => base/tps/apache}/cgi-bin/sow/cfg.pl  |   0
 .../{forms/esc => apache}/cgi-bin/sow/enroll.cgi   |   0
 .../tps/apache}/cgi-bin/sow/enroll.html            |   0
 .../esc => apache}/cgi-bin/sow/enroll_temp.cgi     |   0
 .../tps/apache}/cgi-bin/sow/enroll_temp.html       |   0
 .../{forms/esc => apache}/cgi-bin/sow/format.cgi   |   0
 .../tps/apache}/cgi-bin/sow/format.html            |   0
 .../{forms/esc => apache}/cgi-bin/sow/formatso.cgi |   0
 .../tps/apache}/cgi-bin/sow/formatso.html          |   0
 .../{forms/esc => apache}/cgi-bin/sow/index.cgi    |   0
 .../{forms/esc => apache}/cgi-bin/sow/is_agent.cgi |   0
 .../{forms/esc => apache}/cgi-bin/sow/is_user.cgi  |   0
 .../tps/{forms/esc => apache}/cgi-bin/sow/main.cgi |   0
 .../tps/apache}/cgi-bin/sow/main.html              |   0
 .../{forms/esc => apache}/cgi-bin/sow/noaccess.cgi |   0
 .../tps/apache}/cgi-bin/sow/noaccess.html          |   0
 .../tps/{forms/esc => apache}/cgi-bin/sow/read.cgi |   0
 .../tps/apache}/cgi-bin/sow/read.html              |   0
 .../esc => apache}/cgi-bin/sow/read_temp.cgi       |   0
 .../tps/apache}/cgi-bin/sow/read_temp.html         |   0
 .../{forms/esc => apache}/cgi-bin/sow/search.cgi   |   0
 .../tps/apache}/cgi-bin/sow/search.html            |   0
 .../esc => apache}/cgi-bin/sow/search_temp.cgi     |   0
 .../tps/apache}/cgi-bin/sow/search_temp.html       |   0
 .../{forms/esc => apache}/cgi-bin/sow/seturl.cgi   |   0
 .../tps/apache}/cgi-bin/sow/seturl.html            |   0
 .../{forms/esc => apache}/cgi-bin/sow/welcome.cgi  |   0
 .../tps/apache}/cgi-bin/sow/welcome.html           |   0
 .../shared => base/tps/apache}/docroot/404.html    |   0
 .../shared => base/tps/apache}/docroot/500.html    |   0
 .../tps/apache}/docroot/esc/AdminEsc.html          |   0
 .../tps/apache}/docroot/esc/AdvancePopup.html      |   0
 .../tps/apache}/docroot/esc/EnrollPopup.html       |   0
 .../tps/apache}/docroot/esc/GenericAuth.html       |   0
 .../tps/apache}/docroot/esc/SettingsEsc.html       |   0
 .../tps/apache}/docroot/esc/TokenManager.html      |   0
 .../tps/apache}/docroot/esc/TokenPin.html          |   0
 .../apache}/docroot/esc/demo/EnrollSuccess.html    |   0
 .../tps/apache}/docroot/esc/demo/GenericAuth.html  |   0
 .../tps/apache}/docroot/esc/demo/util.js           |   0
 .../apache}/docroot/esc/home/EnrollSuccess.html    |   0
 .../tps/apache}/docroot/esc/home/GenericAuth.html  |   0
 .../tps/apache}/docroot/esc/home/util.js           |   0
 .../tps/apache}/docroot/esc/so/EnrollSuccess.html  |   0
 .../tps/apache}/docroot/esc/so/GenericAuth.html    |   0
 .../tps/apache}/docroot/esc/so/util.js             |   0
 .../tps/apache}/docroot/esc/sow/EnrollSuccess.html |   0
 .../tps/apache}/docroot/esc/sow/GenericAuth.html   |   0
 .../docroot/esc/sow/js/ajax-dynamic-list.js        |   0
 .../tps/apache}/docroot/esc/sow/js/ajax.js         |   0
 .../tps/apache}/docroot/esc/sow/js/effects.js      |   0
 .../tps/apache}/docroot/esc/sow/js/lightbox.js     |   0
 .../tps/apache}/docroot/esc/sow/js/prototype.js    |   0
 .../apache}/docroot/esc/sow/js/scriptaculous.js    |   0
 .../tps/apache}/docroot/esc/sow/util.js            |   0
 .../shared => base/tps/apache}/docroot/footer.vm   |   0
 .../shared => base/tps/apache}/docroot/header.vm   |   0
 base/tps/{forms => apache/docroot}/index.cgi       |   0
 base/tps/{forms => apache/docroot}/index.html      |   0
 .../shared => base/tps/apache}/docroot/index.vm    |   0
 .../tps/apache}/docroot/tokendb/addConfig.template |   0
 .../apache}/docroot/tokendb/addResults.template    |   0
 .../docroot/tokendb/agentSelectConfig.template     |   0
 .../docroot/tokendb/agentViewConfig.template       |   0
 .../apache}/docroot/tokendb/auditAdmin.template    |   0
 .../docroot/tokendb/confirmConfigChanges.template  |   0
 .../docroot/tokendb/confirmDeleteConfig.template   |   0
 .../tps/apache}/docroot/tokendb/delete.template    |   0
 .../apache}/docroot/tokendb/deleteResults.template |   0
 .../tps/apache}/docroot/tokendb/doToken.template   |   0
 .../docroot/tokendb/doTokenConfirm.template        |   0
 .../tps/apache}/docroot/tokendb/edit.template      |   0
 .../apache}/docroot/tokendb/editConfig.template    |   0
 .../apache}/docroot/tokendb/editResults.template   |   0
 .../tps/apache}/docroot/tokendb/editUser.template  |   0
 .../tps/apache}/docroot/tokendb/error.template     |   0
 .../tps/apache}/docroot/tokendb/index.template     |   0
 .../apache}/docroot/tokendb/indexAdmin.template    |   0
 .../apache}/docroot/tokendb/indexOperator.template |   0
 .../tps/apache}/docroot/tokendb/new.template       |   0
 .../tps/apache}/docroot/tokendb/newUser.template   |   0
 .../tps/apache}/docroot/tokendb/revoke.template    |   0
 .../tps/apache}/docroot/tokendb/search.template    |   0
 .../docroot/tokendb/searchActivity.template        |   0
 .../docroot/tokendb/searchActivityAdmin.template   |   0
 .../tokendb/searchActivityAdminResults.template    |   0
 .../docroot/tokendb/searchActivityResults.template |   0
 .../apache}/docroot/tokendb/searchAdmin.template   |   0
 .../docroot/tokendb/searchAdminResults.template    |   0
 .../docroot/tokendb/searchCertificate.template     |   0
 .../tokendb/searchCertificateResults.template      |   0
 .../apache}/docroot/tokendb/searchResults.template |   0
 .../apache}/docroot/tokendb/searchUser.template    |   0
 .../docroot/tokendb/searchUserResults.template     |   0
 .../apache}/docroot/tokendb/selectConfig.template  |   0
 .../tps/apache}/docroot/tokendb/selfTest.template  |   0
 .../docroot/tokendb/selfTestResults.template       |   0
 .../tps/apache}/docroot/tokendb/show.template      |   0
 .../tps/apache}/docroot/tokendb/showAdmin.template |   0
 .../tps/apache}/docroot/tokendb/showCert.template  |   0
 .../apache}/docroot/tokendb/userDelete.template    |   0
 .../admin/console/config/adminauthenticatepanel.vm |   0
 .../docroot/tps/admin/console/config/adminpanel.vm |   0
 .../admin/console/config/agentauthenticatepanel.vm |   0
 .../tps/admin/console/config/authdbpanel.vm        |   0
 .../tps/admin/console/config/cainfopanel.vm        |   0
 .../tps/admin/console/config/certchainpanel.vm     |   0
 .../admin/console/config/certprettyprintpanel.vm   |   0
 .../tps/admin/console/config/certrequestpanel.vm   |   0
 .../tps/admin/console/config/config_addhsm.vm      |   0
 .../docroot/tps/admin/console/config/config_db.vm  |   0
 .../docroot/tps/admin/console/config/config_hsm.vm |   0
 .../admin/console/config/config_hsmloginpanel.vm   |   0
 .../tps/admin/console/config/config_join.vm        |   0
 .../tps/admin/console/config/config_rootca.vm      |   0
 .../admin/console/config/createsubsystempanel.vm   |   0
 .../tps/admin/console/config/databasepanel.vm      |   0
 .../admin/console/config/displaycertchain2panel.vm |   0
 .../admin/console/config/displaycertchainpanel.vm  |   0
 .../docroot/tps/admin/console/config/donepanel.vm  |   0
 .../tps/admin/console/config/drminfopanel.vm       |   0
 .../docroot/tps/admin/console/config/footer.vm     |   0
 .../docroot/tps/admin/console/config/header.vm     |   0
 .../tps/admin/console/config/hierarchypanel.vm     |   0
 .../admin/console/config/importadmincertpanel.vm   |   0
 .../docroot/tps/admin/console/config/login.vm      |   0
 .../tps/admin/console/config/modulepanel.vm        |   0
 .../docroot/tps/admin/console/config/namepanel.vm  |   0
 .../console/config/securitydomainloginpanel.vm     |   0
 .../admin/console/config/securitydomainpanel.vm    |   0
 .../docroot/tps/admin/console/config/sidemenu.vm   |   0
 .../docroot/tps/admin/console/config/sizepanel.vm  |   0
 .../tps/admin/console/config/tksinfopanel.vm       |   0
 .../docroot/tps/admin/console/config/topmenu.vm    |   0
 .../tps/admin/console/config/welcomepanel.vm       |   0
 .../docroot/tps/admin/console/config/wizard.vm     |   0
 .../docroot/tps/admin/console/config/xml.vm        |   0
 .../apache}/docroot/tps/admin/console/js/misc.js   |   0
 base/tps/forms/esc/cgi-bin/sow/cfg.pl              | 174 ---------------------
 152 files changed, 174 deletions(-)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/demo/Enroll.html (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/demo/enroll.cgi (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/demo/index.cgi (100%)
 rename base/tps/{forms/esc => apache/cgi-bin}/esc.cgi (100%)
 rename base/tps/{forms/esc => apache/cgi-bin}/home.cgi (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/home/Enroll.html (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/home/cachain.cgi (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/home/enroll.cgi (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/home/index.cgi (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/so/Enroll.html (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/so/enroll.cgi (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/so/index.cgi (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/ajax-list.cgi (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/sow/cfg.pl (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/enroll.cgi (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/sow/enroll.html (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/enroll_temp.cgi (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/sow/enroll_temp.html (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/format.cgi (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/sow/format.html (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/formatso.cgi (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/sow/formatso.html (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/index.cgi (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/is_agent.cgi (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/is_user.cgi (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/main.cgi (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/sow/main.html (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/noaccess.cgi (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/sow/noaccess.html (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/read.cgi (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/sow/read.html (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/read_temp.cgi (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/sow/read_temp.html (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/search.cgi (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/sow/search.html (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/search_temp.cgi (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/sow/search_temp.html (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/seturl.cgi (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/sow/seturl.html (100%)
 rename base/tps/{forms/esc => apache}/cgi-bin/sow/welcome.cgi (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/cgi-bin/sow/welcome.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/404.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/500.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/AdminEsc.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/AdvancePopup.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/EnrollPopup.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/GenericAuth.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/SettingsEsc.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/TokenManager.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/TokenPin.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/demo/EnrollSuccess.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/demo/GenericAuth.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/demo/util.js (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/home/EnrollSuccess.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/home/GenericAuth.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/home/util.js (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/so/EnrollSuccess.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/so/GenericAuth.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/so/util.js (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/sow/EnrollSuccess.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/sow/GenericAuth.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/sow/js/ajax-dynamic-list.js (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/sow/js/ajax.js (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/sow/js/effects.js (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/sow/js/lightbox.js (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/sow/js/prototype.js (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/sow/js/scriptaculous.js (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/esc/sow/util.js (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/footer.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/header.vm (100%)
 rename base/tps/{forms => apache/docroot}/index.cgi (100%)
 rename base/tps/{forms => apache/docroot}/index.html (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/index.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/addConfig.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/addResults.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/agentSelectConfig.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/agentViewConfig.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/auditAdmin.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/confirmConfigChanges.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/confirmDeleteConfig.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/delete.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/deleteResults.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/doToken.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/doTokenConfirm.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/edit.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/editConfig.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/editResults.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/editUser.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/error.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/index.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/indexAdmin.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/indexOperator.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/new.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/newUser.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/revoke.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/search.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/searchActivity.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/searchActivityAdmin.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/searchActivityAdminResults.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/searchActivityResults.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/searchAdmin.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/searchAdminResults.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/searchCertificate.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/searchCertificateResults.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/searchResults.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/searchUser.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/searchUserResults.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/selectConfig.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/selfTest.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/selfTestResults.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/show.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/showAdmin.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/showCert.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tokendb/userDelete.template (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/adminauthenticatepanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/adminpanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/agentauthenticatepanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/authdbpanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/cainfopanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/certchainpanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/certprettyprintpanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/certrequestpanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/config_addhsm.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/config_db.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/config_hsm.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/config_hsmloginpanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/config_join.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/config_rootca.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/createsubsystempanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/databasepanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/displaycertchain2panel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/displaycertchainpanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/donepanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/drminfopanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/footer.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/header.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/hierarchypanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/importadmincertpanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/login.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/modulepanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/namepanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/securitydomainloginpanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/securitydomainpanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/sidemenu.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/sizepanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/tksinfopanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/topmenu.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/welcomepanel.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/wizard.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/config/xml.vm (100%)
 rename {dogtag/tps-ui/shared => base/tps/apache}/docroot/tps/admin/console/js/misc.js (100%)
 delete mode 100755 base/tps/forms/esc/cgi-bin/sow/cfg.pl

diff --git a/dogtag/tps-ui/shared/cgi-bin/demo/Enroll.html b/base/tps/apache/cgi-bin/demo/Enroll.html
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/demo/Enroll.html
rename to base/tps/apache/cgi-bin/demo/Enroll.html
diff --git a/base/tps/forms/esc/cgi-bin/demo/enroll.cgi b/base/tps/apache/cgi-bin/demo/enroll.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/demo/enroll.cgi
rename to base/tps/apache/cgi-bin/demo/enroll.cgi
diff --git a/base/tps/forms/esc/cgi-bin/demo/index.cgi b/base/tps/apache/cgi-bin/demo/index.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/demo/index.cgi
rename to base/tps/apache/cgi-bin/demo/index.cgi
diff --git a/base/tps/forms/esc/esc.cgi b/base/tps/apache/cgi-bin/esc.cgi
similarity index 100%
rename from base/tps/forms/esc/esc.cgi
rename to base/tps/apache/cgi-bin/esc.cgi
diff --git a/base/tps/forms/esc/home.cgi b/base/tps/apache/cgi-bin/home.cgi
similarity index 100%
rename from base/tps/forms/esc/home.cgi
rename to base/tps/apache/cgi-bin/home.cgi
diff --git a/dogtag/tps-ui/shared/cgi-bin/home/Enroll.html b/base/tps/apache/cgi-bin/home/Enroll.html
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/home/Enroll.html
rename to base/tps/apache/cgi-bin/home/Enroll.html
diff --git a/base/tps/forms/esc/cgi-bin/home/cachain.cgi b/base/tps/apache/cgi-bin/home/cachain.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/home/cachain.cgi
rename to base/tps/apache/cgi-bin/home/cachain.cgi
diff --git a/base/tps/forms/esc/cgi-bin/home/enroll.cgi b/base/tps/apache/cgi-bin/home/enroll.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/home/enroll.cgi
rename to base/tps/apache/cgi-bin/home/enroll.cgi
diff --git a/base/tps/forms/esc/cgi-bin/home/index.cgi b/base/tps/apache/cgi-bin/home/index.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/home/index.cgi
rename to base/tps/apache/cgi-bin/home/index.cgi
diff --git a/dogtag/tps-ui/shared/cgi-bin/so/Enroll.html b/base/tps/apache/cgi-bin/so/Enroll.html
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/so/Enroll.html
rename to base/tps/apache/cgi-bin/so/Enroll.html
diff --git a/base/tps/forms/esc/cgi-bin/so/enroll.cgi b/base/tps/apache/cgi-bin/so/enroll.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/so/enroll.cgi
rename to base/tps/apache/cgi-bin/so/enroll.cgi
diff --git a/base/tps/forms/esc/cgi-bin/so/index.cgi b/base/tps/apache/cgi-bin/so/index.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/so/index.cgi
rename to base/tps/apache/cgi-bin/so/index.cgi
diff --git a/base/tps/forms/esc/cgi-bin/sow/ajax-list.cgi b/base/tps/apache/cgi-bin/sow/ajax-list.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/ajax-list.cgi
rename to base/tps/apache/cgi-bin/sow/ajax-list.cgi
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/cfg.pl b/base/tps/apache/cgi-bin/sow/cfg.pl
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/sow/cfg.pl
rename to base/tps/apache/cgi-bin/sow/cfg.pl
diff --git a/base/tps/forms/esc/cgi-bin/sow/enroll.cgi b/base/tps/apache/cgi-bin/sow/enroll.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/enroll.cgi
rename to base/tps/apache/cgi-bin/sow/enroll.cgi
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/enroll.html b/base/tps/apache/cgi-bin/sow/enroll.html
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/sow/enroll.html
rename to base/tps/apache/cgi-bin/sow/enroll.html
diff --git a/base/tps/forms/esc/cgi-bin/sow/enroll_temp.cgi b/base/tps/apache/cgi-bin/sow/enroll_temp.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/enroll_temp.cgi
rename to base/tps/apache/cgi-bin/sow/enroll_temp.cgi
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/enroll_temp.html b/base/tps/apache/cgi-bin/sow/enroll_temp.html
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/sow/enroll_temp.html
rename to base/tps/apache/cgi-bin/sow/enroll_temp.html
diff --git a/base/tps/forms/esc/cgi-bin/sow/format.cgi b/base/tps/apache/cgi-bin/sow/format.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/format.cgi
rename to base/tps/apache/cgi-bin/sow/format.cgi
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/format.html b/base/tps/apache/cgi-bin/sow/format.html
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/sow/format.html
rename to base/tps/apache/cgi-bin/sow/format.html
diff --git a/base/tps/forms/esc/cgi-bin/sow/formatso.cgi b/base/tps/apache/cgi-bin/sow/formatso.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/formatso.cgi
rename to base/tps/apache/cgi-bin/sow/formatso.cgi
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/formatso.html b/base/tps/apache/cgi-bin/sow/formatso.html
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/sow/formatso.html
rename to base/tps/apache/cgi-bin/sow/formatso.html
diff --git a/base/tps/forms/esc/cgi-bin/sow/index.cgi b/base/tps/apache/cgi-bin/sow/index.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/index.cgi
rename to base/tps/apache/cgi-bin/sow/index.cgi
diff --git a/base/tps/forms/esc/cgi-bin/sow/is_agent.cgi b/base/tps/apache/cgi-bin/sow/is_agent.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/is_agent.cgi
rename to base/tps/apache/cgi-bin/sow/is_agent.cgi
diff --git a/base/tps/forms/esc/cgi-bin/sow/is_user.cgi b/base/tps/apache/cgi-bin/sow/is_user.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/is_user.cgi
rename to base/tps/apache/cgi-bin/sow/is_user.cgi
diff --git a/base/tps/forms/esc/cgi-bin/sow/main.cgi b/base/tps/apache/cgi-bin/sow/main.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/main.cgi
rename to base/tps/apache/cgi-bin/sow/main.cgi
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/main.html b/base/tps/apache/cgi-bin/sow/main.html
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/sow/main.html
rename to base/tps/apache/cgi-bin/sow/main.html
diff --git a/base/tps/forms/esc/cgi-bin/sow/noaccess.cgi b/base/tps/apache/cgi-bin/sow/noaccess.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/noaccess.cgi
rename to base/tps/apache/cgi-bin/sow/noaccess.cgi
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/noaccess.html b/base/tps/apache/cgi-bin/sow/noaccess.html
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/sow/noaccess.html
rename to base/tps/apache/cgi-bin/sow/noaccess.html
diff --git a/base/tps/forms/esc/cgi-bin/sow/read.cgi b/base/tps/apache/cgi-bin/sow/read.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/read.cgi
rename to base/tps/apache/cgi-bin/sow/read.cgi
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/read.html b/base/tps/apache/cgi-bin/sow/read.html
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/sow/read.html
rename to base/tps/apache/cgi-bin/sow/read.html
diff --git a/base/tps/forms/esc/cgi-bin/sow/read_temp.cgi b/base/tps/apache/cgi-bin/sow/read_temp.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/read_temp.cgi
rename to base/tps/apache/cgi-bin/sow/read_temp.cgi
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/read_temp.html b/base/tps/apache/cgi-bin/sow/read_temp.html
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/sow/read_temp.html
rename to base/tps/apache/cgi-bin/sow/read_temp.html
diff --git a/base/tps/forms/esc/cgi-bin/sow/search.cgi b/base/tps/apache/cgi-bin/sow/search.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/search.cgi
rename to base/tps/apache/cgi-bin/sow/search.cgi
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/search.html b/base/tps/apache/cgi-bin/sow/search.html
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/sow/search.html
rename to base/tps/apache/cgi-bin/sow/search.html
diff --git a/base/tps/forms/esc/cgi-bin/sow/search_temp.cgi b/base/tps/apache/cgi-bin/sow/search_temp.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/search_temp.cgi
rename to base/tps/apache/cgi-bin/sow/search_temp.cgi
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/search_temp.html b/base/tps/apache/cgi-bin/sow/search_temp.html
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/sow/search_temp.html
rename to base/tps/apache/cgi-bin/sow/search_temp.html
diff --git a/base/tps/forms/esc/cgi-bin/sow/seturl.cgi b/base/tps/apache/cgi-bin/sow/seturl.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/seturl.cgi
rename to base/tps/apache/cgi-bin/sow/seturl.cgi
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/seturl.html b/base/tps/apache/cgi-bin/sow/seturl.html
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/sow/seturl.html
rename to base/tps/apache/cgi-bin/sow/seturl.html
diff --git a/base/tps/forms/esc/cgi-bin/sow/welcome.cgi b/base/tps/apache/cgi-bin/sow/welcome.cgi
similarity index 100%
rename from base/tps/forms/esc/cgi-bin/sow/welcome.cgi
rename to base/tps/apache/cgi-bin/sow/welcome.cgi
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/welcome.html b/base/tps/apache/cgi-bin/sow/welcome.html
similarity index 100%
rename from dogtag/tps-ui/shared/cgi-bin/sow/welcome.html
rename to base/tps/apache/cgi-bin/sow/welcome.html
diff --git a/dogtag/tps-ui/shared/docroot/404.html b/base/tps/apache/docroot/404.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/404.html
rename to base/tps/apache/docroot/404.html
diff --git a/dogtag/tps-ui/shared/docroot/500.html b/base/tps/apache/docroot/500.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/500.html
rename to base/tps/apache/docroot/500.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/AdminEsc.html b/base/tps/apache/docroot/esc/AdminEsc.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/AdminEsc.html
rename to base/tps/apache/docroot/esc/AdminEsc.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/AdvancePopup.html b/base/tps/apache/docroot/esc/AdvancePopup.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/AdvancePopup.html
rename to base/tps/apache/docroot/esc/AdvancePopup.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/EnrollPopup.html b/base/tps/apache/docroot/esc/EnrollPopup.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/EnrollPopup.html
rename to base/tps/apache/docroot/esc/EnrollPopup.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/GenericAuth.html b/base/tps/apache/docroot/esc/GenericAuth.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/GenericAuth.html
rename to base/tps/apache/docroot/esc/GenericAuth.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/SettingsEsc.html b/base/tps/apache/docroot/esc/SettingsEsc.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/SettingsEsc.html
rename to base/tps/apache/docroot/esc/SettingsEsc.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/TokenManager.html b/base/tps/apache/docroot/esc/TokenManager.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/TokenManager.html
rename to base/tps/apache/docroot/esc/TokenManager.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/TokenPin.html b/base/tps/apache/docroot/esc/TokenPin.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/TokenPin.html
rename to base/tps/apache/docroot/esc/TokenPin.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/demo/EnrollSuccess.html b/base/tps/apache/docroot/esc/demo/EnrollSuccess.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/demo/EnrollSuccess.html
rename to base/tps/apache/docroot/esc/demo/EnrollSuccess.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/demo/GenericAuth.html b/base/tps/apache/docroot/esc/demo/GenericAuth.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/demo/GenericAuth.html
rename to base/tps/apache/docroot/esc/demo/GenericAuth.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/demo/util.js b/base/tps/apache/docroot/esc/demo/util.js
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/demo/util.js
rename to base/tps/apache/docroot/esc/demo/util.js
diff --git a/dogtag/tps-ui/shared/docroot/esc/home/EnrollSuccess.html b/base/tps/apache/docroot/esc/home/EnrollSuccess.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/home/EnrollSuccess.html
rename to base/tps/apache/docroot/esc/home/EnrollSuccess.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/home/GenericAuth.html b/base/tps/apache/docroot/esc/home/GenericAuth.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/home/GenericAuth.html
rename to base/tps/apache/docroot/esc/home/GenericAuth.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/home/util.js b/base/tps/apache/docroot/esc/home/util.js
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/home/util.js
rename to base/tps/apache/docroot/esc/home/util.js
diff --git a/dogtag/tps-ui/shared/docroot/esc/so/EnrollSuccess.html b/base/tps/apache/docroot/esc/so/EnrollSuccess.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/so/EnrollSuccess.html
rename to base/tps/apache/docroot/esc/so/EnrollSuccess.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/so/GenericAuth.html b/base/tps/apache/docroot/esc/so/GenericAuth.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/so/GenericAuth.html
rename to base/tps/apache/docroot/esc/so/GenericAuth.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/so/util.js b/base/tps/apache/docroot/esc/so/util.js
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/so/util.js
rename to base/tps/apache/docroot/esc/so/util.js
diff --git a/dogtag/tps-ui/shared/docroot/esc/sow/EnrollSuccess.html b/base/tps/apache/docroot/esc/sow/EnrollSuccess.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/sow/EnrollSuccess.html
rename to base/tps/apache/docroot/esc/sow/EnrollSuccess.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/sow/GenericAuth.html b/base/tps/apache/docroot/esc/sow/GenericAuth.html
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/sow/GenericAuth.html
rename to base/tps/apache/docroot/esc/sow/GenericAuth.html
diff --git a/dogtag/tps-ui/shared/docroot/esc/sow/js/ajax-dynamic-list.js b/base/tps/apache/docroot/esc/sow/js/ajax-dynamic-list.js
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/sow/js/ajax-dynamic-list.js
rename to base/tps/apache/docroot/esc/sow/js/ajax-dynamic-list.js
diff --git a/dogtag/tps-ui/shared/docroot/esc/sow/js/ajax.js b/base/tps/apache/docroot/esc/sow/js/ajax.js
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/sow/js/ajax.js
rename to base/tps/apache/docroot/esc/sow/js/ajax.js
diff --git a/dogtag/tps-ui/shared/docroot/esc/sow/js/effects.js b/base/tps/apache/docroot/esc/sow/js/effects.js
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/sow/js/effects.js
rename to base/tps/apache/docroot/esc/sow/js/effects.js
diff --git a/dogtag/tps-ui/shared/docroot/esc/sow/js/lightbox.js b/base/tps/apache/docroot/esc/sow/js/lightbox.js
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/sow/js/lightbox.js
rename to base/tps/apache/docroot/esc/sow/js/lightbox.js
diff --git a/dogtag/tps-ui/shared/docroot/esc/sow/js/prototype.js b/base/tps/apache/docroot/esc/sow/js/prototype.js
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/sow/js/prototype.js
rename to base/tps/apache/docroot/esc/sow/js/prototype.js
diff --git a/dogtag/tps-ui/shared/docroot/esc/sow/js/scriptaculous.js b/base/tps/apache/docroot/esc/sow/js/scriptaculous.js
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/sow/js/scriptaculous.js
rename to base/tps/apache/docroot/esc/sow/js/scriptaculous.js
diff --git a/dogtag/tps-ui/shared/docroot/esc/sow/util.js b/base/tps/apache/docroot/esc/sow/util.js
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/sow/util.js
rename to base/tps/apache/docroot/esc/sow/util.js
diff --git a/dogtag/tps-ui/shared/docroot/footer.vm b/base/tps/apache/docroot/footer.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/footer.vm
rename to base/tps/apache/docroot/footer.vm
diff --git a/dogtag/tps-ui/shared/docroot/header.vm b/base/tps/apache/docroot/header.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/header.vm
rename to base/tps/apache/docroot/header.vm
diff --git a/base/tps/forms/index.cgi b/base/tps/apache/docroot/index.cgi
similarity index 100%
rename from base/tps/forms/index.cgi
rename to base/tps/apache/docroot/index.cgi
diff --git a/base/tps/forms/index.html b/base/tps/apache/docroot/index.html
similarity index 100%
rename from base/tps/forms/index.html
rename to base/tps/apache/docroot/index.html
diff --git a/dogtag/tps-ui/shared/docroot/index.vm b/base/tps/apache/docroot/index.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/index.vm
rename to base/tps/apache/docroot/index.vm
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/addConfig.template b/base/tps/apache/docroot/tokendb/addConfig.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/addConfig.template
rename to base/tps/apache/docroot/tokendb/addConfig.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/addResults.template b/base/tps/apache/docroot/tokendb/addResults.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/addResults.template
rename to base/tps/apache/docroot/tokendb/addResults.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/agentSelectConfig.template b/base/tps/apache/docroot/tokendb/agentSelectConfig.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/agentSelectConfig.template
rename to base/tps/apache/docroot/tokendb/agentSelectConfig.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/agentViewConfig.template b/base/tps/apache/docroot/tokendb/agentViewConfig.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/agentViewConfig.template
rename to base/tps/apache/docroot/tokendb/agentViewConfig.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/auditAdmin.template b/base/tps/apache/docroot/tokendb/auditAdmin.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/auditAdmin.template
rename to base/tps/apache/docroot/tokendb/auditAdmin.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/confirmConfigChanges.template b/base/tps/apache/docroot/tokendb/confirmConfigChanges.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/confirmConfigChanges.template
rename to base/tps/apache/docroot/tokendb/confirmConfigChanges.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/confirmDeleteConfig.template b/base/tps/apache/docroot/tokendb/confirmDeleteConfig.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/confirmDeleteConfig.template
rename to base/tps/apache/docroot/tokendb/confirmDeleteConfig.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/delete.template b/base/tps/apache/docroot/tokendb/delete.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/delete.template
rename to base/tps/apache/docroot/tokendb/delete.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/deleteResults.template b/base/tps/apache/docroot/tokendb/deleteResults.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/deleteResults.template
rename to base/tps/apache/docroot/tokendb/deleteResults.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/doToken.template b/base/tps/apache/docroot/tokendb/doToken.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/doToken.template
rename to base/tps/apache/docroot/tokendb/doToken.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/doTokenConfirm.template b/base/tps/apache/docroot/tokendb/doTokenConfirm.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/doTokenConfirm.template
rename to base/tps/apache/docroot/tokendb/doTokenConfirm.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/edit.template b/base/tps/apache/docroot/tokendb/edit.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/edit.template
rename to base/tps/apache/docroot/tokendb/edit.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/editConfig.template b/base/tps/apache/docroot/tokendb/editConfig.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/editConfig.template
rename to base/tps/apache/docroot/tokendb/editConfig.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/editResults.template b/base/tps/apache/docroot/tokendb/editResults.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/editResults.template
rename to base/tps/apache/docroot/tokendb/editResults.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/editUser.template b/base/tps/apache/docroot/tokendb/editUser.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/editUser.template
rename to base/tps/apache/docroot/tokendb/editUser.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/error.template b/base/tps/apache/docroot/tokendb/error.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/error.template
rename to base/tps/apache/docroot/tokendb/error.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/index.template b/base/tps/apache/docroot/tokendb/index.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/index.template
rename to base/tps/apache/docroot/tokendb/index.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/indexAdmin.template b/base/tps/apache/docroot/tokendb/indexAdmin.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/indexAdmin.template
rename to base/tps/apache/docroot/tokendb/indexAdmin.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/indexOperator.template b/base/tps/apache/docroot/tokendb/indexOperator.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/indexOperator.template
rename to base/tps/apache/docroot/tokendb/indexOperator.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/new.template b/base/tps/apache/docroot/tokendb/new.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/new.template
rename to base/tps/apache/docroot/tokendb/new.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/newUser.template b/base/tps/apache/docroot/tokendb/newUser.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/newUser.template
rename to base/tps/apache/docroot/tokendb/newUser.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/revoke.template b/base/tps/apache/docroot/tokendb/revoke.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/revoke.template
rename to base/tps/apache/docroot/tokendb/revoke.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/search.template b/base/tps/apache/docroot/tokendb/search.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/search.template
rename to base/tps/apache/docroot/tokendb/search.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchActivity.template b/base/tps/apache/docroot/tokendb/searchActivity.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/searchActivity.template
rename to base/tps/apache/docroot/tokendb/searchActivity.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchActivityAdmin.template b/base/tps/apache/docroot/tokendb/searchActivityAdmin.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/searchActivityAdmin.template
rename to base/tps/apache/docroot/tokendb/searchActivityAdmin.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchActivityAdminResults.template b/base/tps/apache/docroot/tokendb/searchActivityAdminResults.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/searchActivityAdminResults.template
rename to base/tps/apache/docroot/tokendb/searchActivityAdminResults.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchActivityResults.template b/base/tps/apache/docroot/tokendb/searchActivityResults.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/searchActivityResults.template
rename to base/tps/apache/docroot/tokendb/searchActivityResults.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchAdmin.template b/base/tps/apache/docroot/tokendb/searchAdmin.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/searchAdmin.template
rename to base/tps/apache/docroot/tokendb/searchAdmin.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchAdminResults.template b/base/tps/apache/docroot/tokendb/searchAdminResults.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/searchAdminResults.template
rename to base/tps/apache/docroot/tokendb/searchAdminResults.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchCertificate.template b/base/tps/apache/docroot/tokendb/searchCertificate.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/searchCertificate.template
rename to base/tps/apache/docroot/tokendb/searchCertificate.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchCertificateResults.template b/base/tps/apache/docroot/tokendb/searchCertificateResults.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/searchCertificateResults.template
rename to base/tps/apache/docroot/tokendb/searchCertificateResults.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchResults.template b/base/tps/apache/docroot/tokendb/searchResults.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/searchResults.template
rename to base/tps/apache/docroot/tokendb/searchResults.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchUser.template b/base/tps/apache/docroot/tokendb/searchUser.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/searchUser.template
rename to base/tps/apache/docroot/tokendb/searchUser.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchUserResults.template b/base/tps/apache/docroot/tokendb/searchUserResults.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/searchUserResults.template
rename to base/tps/apache/docroot/tokendb/searchUserResults.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/selectConfig.template b/base/tps/apache/docroot/tokendb/selectConfig.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/selectConfig.template
rename to base/tps/apache/docroot/tokendb/selectConfig.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/selfTest.template b/base/tps/apache/docroot/tokendb/selfTest.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/selfTest.template
rename to base/tps/apache/docroot/tokendb/selfTest.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/selfTestResults.template b/base/tps/apache/docroot/tokendb/selfTestResults.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/selfTestResults.template
rename to base/tps/apache/docroot/tokendb/selfTestResults.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/show.template b/base/tps/apache/docroot/tokendb/show.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/show.template
rename to base/tps/apache/docroot/tokendb/show.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/showAdmin.template b/base/tps/apache/docroot/tokendb/showAdmin.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/showAdmin.template
rename to base/tps/apache/docroot/tokendb/showAdmin.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/showCert.template b/base/tps/apache/docroot/tokendb/showCert.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/showCert.template
rename to base/tps/apache/docroot/tokendb/showCert.template
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/userDelete.template b/base/tps/apache/docroot/tokendb/userDelete.template
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tokendb/userDelete.template
rename to base/tps/apache/docroot/tokendb/userDelete.template
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/adminauthenticatepanel.vm b/base/tps/apache/docroot/tps/admin/console/config/adminauthenticatepanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/adminauthenticatepanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/adminauthenticatepanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/adminpanel.vm b/base/tps/apache/docroot/tps/admin/console/config/adminpanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/adminpanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/adminpanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/agentauthenticatepanel.vm b/base/tps/apache/docroot/tps/admin/console/config/agentauthenticatepanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/agentauthenticatepanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/agentauthenticatepanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/authdbpanel.vm b/base/tps/apache/docroot/tps/admin/console/config/authdbpanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/authdbpanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/authdbpanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/cainfopanel.vm b/base/tps/apache/docroot/tps/admin/console/config/cainfopanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/cainfopanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/cainfopanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/certchainpanel.vm b/base/tps/apache/docroot/tps/admin/console/config/certchainpanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/certchainpanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/certchainpanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/certprettyprintpanel.vm b/base/tps/apache/docroot/tps/admin/console/config/certprettyprintpanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/certprettyprintpanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/certprettyprintpanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/certrequestpanel.vm b/base/tps/apache/docroot/tps/admin/console/config/certrequestpanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/certrequestpanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/certrequestpanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_addhsm.vm b/base/tps/apache/docroot/tps/admin/console/config/config_addhsm.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_addhsm.vm
rename to base/tps/apache/docroot/tps/admin/console/config/config_addhsm.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_db.vm b/base/tps/apache/docroot/tps/admin/console/config/config_db.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_db.vm
rename to base/tps/apache/docroot/tps/admin/console/config/config_db.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_hsm.vm b/base/tps/apache/docroot/tps/admin/console/config/config_hsm.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_hsm.vm
rename to base/tps/apache/docroot/tps/admin/console/config/config_hsm.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_hsmloginpanel.vm b/base/tps/apache/docroot/tps/admin/console/config/config_hsmloginpanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_hsmloginpanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/config_hsmloginpanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_join.vm b/base/tps/apache/docroot/tps/admin/console/config/config_join.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_join.vm
rename to base/tps/apache/docroot/tps/admin/console/config/config_join.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_rootca.vm b/base/tps/apache/docroot/tps/admin/console/config/config_rootca.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_rootca.vm
rename to base/tps/apache/docroot/tps/admin/console/config/config_rootca.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/createsubsystempanel.vm b/base/tps/apache/docroot/tps/admin/console/config/createsubsystempanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/createsubsystempanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/createsubsystempanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/databasepanel.vm b/base/tps/apache/docroot/tps/admin/console/config/databasepanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/databasepanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/databasepanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/displaycertchain2panel.vm b/base/tps/apache/docroot/tps/admin/console/config/displaycertchain2panel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/displaycertchain2panel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/displaycertchain2panel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/displaycertchainpanel.vm b/base/tps/apache/docroot/tps/admin/console/config/displaycertchainpanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/displaycertchainpanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/displaycertchainpanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/donepanel.vm b/base/tps/apache/docroot/tps/admin/console/config/donepanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/donepanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/donepanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/drminfopanel.vm b/base/tps/apache/docroot/tps/admin/console/config/drminfopanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/drminfopanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/drminfopanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/footer.vm b/base/tps/apache/docroot/tps/admin/console/config/footer.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/footer.vm
rename to base/tps/apache/docroot/tps/admin/console/config/footer.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/header.vm b/base/tps/apache/docroot/tps/admin/console/config/header.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/header.vm
rename to base/tps/apache/docroot/tps/admin/console/config/header.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/hierarchypanel.vm b/base/tps/apache/docroot/tps/admin/console/config/hierarchypanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/hierarchypanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/hierarchypanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/importadmincertpanel.vm b/base/tps/apache/docroot/tps/admin/console/config/importadmincertpanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/importadmincertpanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/importadmincertpanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/login.vm b/base/tps/apache/docroot/tps/admin/console/config/login.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/login.vm
rename to base/tps/apache/docroot/tps/admin/console/config/login.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/modulepanel.vm b/base/tps/apache/docroot/tps/admin/console/config/modulepanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/modulepanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/modulepanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/namepanel.vm b/base/tps/apache/docroot/tps/admin/console/config/namepanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/namepanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/namepanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainloginpanel.vm b/base/tps/apache/docroot/tps/admin/console/config/securitydomainloginpanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainloginpanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/securitydomainloginpanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainpanel.vm b/base/tps/apache/docroot/tps/admin/console/config/securitydomainpanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainpanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/securitydomainpanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/sidemenu.vm b/base/tps/apache/docroot/tps/admin/console/config/sidemenu.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/sidemenu.vm
rename to base/tps/apache/docroot/tps/admin/console/config/sidemenu.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/sizepanel.vm b/base/tps/apache/docroot/tps/admin/console/config/sizepanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/sizepanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/sizepanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/tksinfopanel.vm b/base/tps/apache/docroot/tps/admin/console/config/tksinfopanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/tksinfopanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/tksinfopanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/topmenu.vm b/base/tps/apache/docroot/tps/admin/console/config/topmenu.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/topmenu.vm
rename to base/tps/apache/docroot/tps/admin/console/config/topmenu.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/welcomepanel.vm b/base/tps/apache/docroot/tps/admin/console/config/welcomepanel.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/welcomepanel.vm
rename to base/tps/apache/docroot/tps/admin/console/config/welcomepanel.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/wizard.vm b/base/tps/apache/docroot/tps/admin/console/config/wizard.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/wizard.vm
rename to base/tps/apache/docroot/tps/admin/console/config/wizard.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/xml.vm b/base/tps/apache/docroot/tps/admin/console/config/xml.vm
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/config/xml.vm
rename to base/tps/apache/docroot/tps/admin/console/config/xml.vm
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/js/misc.js b/base/tps/apache/docroot/tps/admin/console/js/misc.js
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/tps/admin/console/js/misc.js
rename to base/tps/apache/docroot/tps/admin/console/js/misc.js
diff --git a/base/tps/forms/esc/cgi-bin/sow/cfg.pl b/base/tps/forms/esc/cgi-bin/sow/cfg.pl
deleted file mode 100755
index d616fa13667b18f14cd10c6b132f0bd6b88aa01c..0000000000000000000000000000000000000000
--- a/base/tps/forms/esc/cgi-bin/sow/cfg.pl
+++ /dev/null
@@ -1,174 +0,0 @@
-#! /usr/bin/perl
-#
-# --- BEGIN COPYRIGHT BLOCK ---
-# This library is free software; you can redistribute it and/or
-# modify it under the terms of the GNU Lesser General Public
-# License as published by the Free Software Foundation.
-# 
-# This library is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-# Lesser General Public License for more details.
-# 
-# You should have received a copy of the GNU Lesser General Public
-# License along with this library; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor,
-# Boston, MA  02110-1301  USA 
-# 
-# Copyright (C) 2007 Red Hat, Inc.
-# All rights reserved.
-# --- END COPYRIGHT BLOCK ---
-#
-
-use Mozilla::LDAP::Conn;
-use PKI::TPS::Common;
-
-#
-# Feel free to modify the following parameters:
-#
-my $ldapHost = "localhost";
-my $ldapPort = "389";
-my $basedn = "ou=People,dc=sfbay,dc=redhat,dc=com";
-my $port = "7888";
-my $secure_port = "7889";
-my $host = "localhost";
-
-my $cfg = "/var/lib/pki-tps/conf/CS.cfg";
-
-sub get_ldap_host()
-{
-  my $ldapport = `grep auth.instance.0.hostport $cfg | cut -c26-`;
-  chomp($ldapport);
-  my ($ldapHost, $p) = split(/:/, $ldapport);
-  return $ldapHost;
-}
-
-sub get_ldap_port()
-{
-  my $ldapport = `grep auth.instance.0.hostport $cfg | cut -c26-`;
-  chomp($ldapport);
-  my ($p, $ldapPort) = split(/:/, $ldapport);
-  return $ldapPort;
-}
-
-sub get_ldap_secure()
-{
-  my $ldapsecure = `grep auth.instance.0.ssl $cfg | cut -c21-`;
-  chomp($ldapsecure);
-  return $ldapsecure;
-}
-
-sub get_ldap_certdir()
-{
-  my $ldapcertdir = `grep service.instanceDir $cfg | cut -c21-`;
-  chomp($ldapcertdir);
-  return $ldapcertdir . "/alias";
-}
-
-sub get_base_dn()
-{
-  my $basedn = `grep auth.instance.0.baseDN $cfg | cut -c24-`;
-  chomp($basedn);
-  return $basedn;
-}
-
-sub get_port()
-{
-  my $port = `grep service.unsecurePort $cfg | cut -c22-`;
-  chomp($port);
-  return $port;
-}
-
-sub get_secure_port()
-{
-  my $secure_port = `grep service.securePort $cfg | cut -c20-`;
-  chomp($secure_port);
-  return $secure_port;
-}
-
-sub get_host()
-{
-  my $host = `grep service.machineName $cfg | cut -c21-`;
-  chomp($host);
-  return $host;
-}
-
-sub is_agent()
-{
-  my ($dn) = @_;
-
-  my $uid = $dn;
-  # need to map a subject dn into user DN
-  $uid =~ /uid=([^,]*)/; # retrieve the uid
-  $uid = $1;
-
-  my $x_hostport = `grep -e "^tokendb.hostport" $cfg | cut -c18-`;
-  chomp($x_hostport);
-  my ($x_host, $x_port) = split(/:/, $x_hostport);
-
-  my $x_secureconn = `grep -e "^tokendb.ssl" $cfg | cut -c13-`;
-  chomp($x_secureconn);
-  my $x_basedn = `grep -e "^tokendb.userBaseDN" $cfg | cut -c20-`;
-  chomp($x_basedn);
-  my $x_binddn = `grep -e "^tokendb.bindDN" $cfg | cut -c16-`;
-  chomp($x_binddn);
-  my $x_bindpwdpath = `grep -e "^tokendb.bindPassPath" $cfg | cut -c22-`;
-  chomp($x_bindpwdpath);
-  my $x_bindpwd = `grep -e "^tokendbBindPass" $x_bindpwdpath | cut -c17-`;
-  chomp($x_bindpwd);
-
-  my $ldap =  PKI::TPS::Common::make_connection(
-                  {host => $x_host, port => $x_port, pswd => $x_bindpwd, bind => $x_binddn, cert => $x_certdir},
-                  $x_secureconn);
-
-  return 0 if (! $ldap);
-
-  my $entry = $ldap->search ( "cn=TUS Officers,ou=Groups,$x_basedn",
-                              "sub",
-                              "uid=$uid",
-                              0
-                            );
-
-  $ldap->close();
-
-  if ($entry) {
-     return 1;
-  }
-  return 0;
-}
-
-sub is_user()
-{
-  my ($dn) = @_;
-
-  my $uid = $dn;
-  # need to map a subject dn into user DN
-  $uid =~ /uid=([^,]*)/; # retrieve the uid
-  $uid = $1;
-
-  my $x_host = get_ldap_host();
-  my $x_port = get_ldap_port();
-  my $x_secureconn = get_ldap_secure();
-  my $x_basedn = get_base_dn();
-  my $x_certdir = get_ldap_certdir();
-
-  my $ldap = PKI::TPS::Common::make_connection(
-                  {host => $x_host, port => $x_port, cert => $x_certdir},
-                  $x_secureconn);
-
-  return 0 if (! $ldap);
-
-  my $entry = $ldap->search ( "ou=people,$x_basedn",
-                              "sub",
-                              "uid=$uid",
-                               0
-                            );
-
-  $ldap->close();
-
-  if ($entry) {
-     return 1;
-  }
-  return 0;
-}
-
-- 
1.7.12.1

